'use strict';
var DataTypes = require('sequelize');

module.exports = function(sequelize) {
  return sequelize.define('Task', {
    name: {
      type: DataTypes.STRING,
      allowNull: false
    },
    description: {
      type: DataTypes.TEXT,
      allowNull: false
    },
    completed: {
      type: DataTypes.BOOLEAN,
      allowNull: false,
      defaultValue: false
    }
  }, {
    indexes: [{
      fields: ['name']
    }],
    classMethods: {
      associate: function(schema) {
        schema.Task.belongsTo(schema.Project);
      }
    }
  });
};
